# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "mockforge-contracts"
version = "0.3.124"
authors = ["SaaSy Solutions LLC <ray.clanan@saasysolutionsllc.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Contract testing, drift detection, and incident management for MockForge"
homepage = "https://mockforge.dev"
documentation = "https://docs.rs/mockforge"
readme = "README.md"
keywords = [
    "contracts",
    "testing",
    "drift",
    "mock",
]
categories = ["development-tools"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/SaaSy-Solutions/mockforge"

[features]
ai = []
default = []
schema = []

[lib]
name = "mockforge_contracts"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.hex]
version = "0.4"

[dependencies.hmac]
version = "0.12"

[dependencies.mockforge-foundation]
version = "0.3.124"

[dependencies.openapiv3]
version = "2.2"

[dependencies.regex]
version = "1.10"

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "rustls-tls",
]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sha2]
version = "0.10"

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.49"
features = [
    "rt-multi-thread",
    "macros",
    "net",
    "time",
    "sync",
    "fs",
]

[dependencies.tracing]
version = "0.1"

[dependencies.uuid]
version = "1.0"
features = ["v4"]

[lints.clippy]
cloned_instead_of_copied = "warn"
doc_markdown = "warn"
explicit_iter_loop = "warn"
implicit_clone = "warn"
manual_let_else = "warn"
map_unwrap_or = "warn"
multiple_crate_versions = "allow"
needless_pass_by_value = "warn"
redundant_closure_for_method_calls = "warn"
redundant_pub_crate = "warn"
semicolon_if_nothing_returned = "warn"
unnested_or_patterns = "warn"
unwrap_used = "warn"
use_self = "warn"

[lints.clippy.cargo]
level = "warn"
priority = -1

[lints.rust]
dead_code = "warn"
missing_docs = "warn"
private_interfaces = "allow"
unreachable_pub = "warn"
unsafe_code = "deny"
unused_imports = "warn"
unused_qualifications = "warn"
unused_variables = "warn"
